# 
# 
#	  Name: samba.mk 
#		make include file for SAMBA for La Casita 
# 
# 
 
#SC_VRM		=	samba-2.2.8a
SC_VRM		=	samba-2.2.12
#SC_URL		=	ftp://ftp.samba.org/pub/samba/$(SC_VRM).tar.gz \
#			ftp://ftp.samba.org/pub/samba/$(SC_VRM).tar.asc 
#SC_URL	= http://us4.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.gz \
#	  http://us4.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.asc 
SC_URL	= http://us3.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.gz \
	  http://us3.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.asc 
SC_URL	= http://us2.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.gz \
	  http://us2.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.gz 
SC_URL	= http://us1.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.gz \
	  http://us1.samba.org/samba/ftp/old-versions/$(SC_VRM).tar.gz 
# 
#SC_FETCH	=	
#SC_SOURCE	=	
SC_CONFIG	=	cd source ; ./configure --prefix=/opt/samba 
# "The toplevel installation directory defaults to /usr/local." 
SC_BUILD	=	cd source ; $(MAKE) 
SC_INSTALL	=	cd source ; $(MAKE) install 
SC_FIXUP	=	strip /opt/samba/sbin/smbd \
				/opt/samba/sbin/nmbd \
				/opt/samba/sbin/swat \
				/opt/samba/sbin/winbindd \
				/opt/samba/bin/smbclient \
				/opt/samba/bin/smbspool \
				/opt/samba/bin/smbpasswd \
				/opt/samba/bin/smbstatus \
				/opt/samba/bin/smbcontrol \
				/opt/samba/bin/smbcacls \
				/opt/samba/bin/rpcclient \
				/opt/samba/bin/nmblookup \
				/opt/samba/bin/wbinfo \
				/opt/samba/bin/make_printerdef \
				/opt/samba/bin/make_smbcodepage \
				/opt/samba/bin/make_unicodemap \
				/opt/samba/bin/tdbbackup \
				/opt/samba/bin/testparm \
				/opt/samba/bin/testprns 
 

